mirror PowerTutor

Bug #887043 reported by Tony Mansson on 2011-11-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro Android Infrastructure
Fix Released
Medium
Paul Sokolovsky

Bug Description

The Power Tutor app is open source and may be a good foundation for reference implementation of the android user space exploitation of new Power Management features.
https://github.com/msg555/PowerTutor
http://powertutor.org
Create a git at http://android.git.linaro.org/ and mirror automatically upstream github. Git should be under Gerrit control.
This bug was previously filed as RT ticket 171.

Paul Sokolovsky (pfalcon) wrote :

From RT ticket:

> Just so we don't misunderstand each other: As long as somebody is working
on it it's fine by me. I'd appreciate if I could deliver my work for this
release to the git through gerrit, and I am already sitting on my first
patch.

> If you can't make it in the next couple of days please let me know because
I then have to set up a private git.

Ok, so one thing I need to know before proceeded further with this is what path (aka project name) you want this to be in our Gerrit. Any suggestions (which should match existing AOSP naming conventions of course)?

Changed in linaro-android-infrastructure:
assignee: nobody → Paul Sokolovsky (pfalcon)
importance: Undecided → Medium
Paul Sokolovsky (pfalcon) wrote :

Ok, here's my analysis: PowerTutor is complete/standalone Android application, not a platform-level library or Linux command-line application, so it would belong to

platform/packages/apps/PowerTutor

, in the namespace where other Android apps live in AOSP. Tony, please confirm this is OK by you. No further action from you is required - the mirror tool I'm working on will take care of the rest (including creating that project in the Gerrit).

Changed in linaro-android-infrastructure:
status: New → Incomplete
Tony Mansson (tony-mansson) wrote :

That is correct. As with other gits in android.git.linaro.org, the idea is that we have a "linaro" branch in the git where we put our changes while waiting for upstreaming to possibly happen.

Changed in linaro-android-infrastructure:
status: Incomplete → Triaged
Changed in linaro-android-infrastructure:
status: Triaged → In Progress
Paul Sokolovsky (pfalcon) wrote :

Ok, please find it here: http://review.android.git.linaro.org/gitweb?p=platform/packages/apps/PowerTutor.git;a=summary

I also created "linaro" branch in there. Please note that it was mirrored, but there's no automatic sync so far. The latter is subject of https://blueprints.launchpad.net/linaro-android-infrastructure/+spec/linaro-android-automate-upstream-sync and depends on resolving firewall issues with IS. In the meantime, I'm going to run sync manually. If you face situation when you need upstream updates, but they're not in our mirror, please submit another ticket here to escalate the above matter.

Changed in linaro-android-infrastructure:
status: In Progress → Fix Released

On 11 November 2011 09:45, Paul Sokolovsky <email address hidden> wrote:
> Ok, please find it here:
> http://review.android.git.linaro.org/gitweb?p=platform/packages/apps/PowerTutor.git;a=summary
>
> I also created "linaro" branch in there. Please note that it was
> mirrored, but there's no automatic sync so far. The latter is subject of
> https://blueprints.launchpad.net/linaro-android-infrastructure/+spec
> /linaro-android-automate-upstream-sync and depends on resolving firewall
> issues with IS.

access to github.com port 443 has been opened a week ago.

Paul Sokolovsky (pfalcon) wrote :

On Fri, 11 Nov 2011 08:25:01 -0000
Fathi Boudra <email address hidden> wrote:

> On 11 November 2011 09:45, Paul Sokolovsky
> <email address hidden> wrote:
> > Ok, please find it here:
> > http://review.android.git.linaro.org/gitweb?p=platform/packages/apps/PowerTutor.git;a=summary
> >
> > I also created "linaro" branch in there. Please note that it was
> > mirrored, but there's no automatic sync so far. The latter is
> > subject of
> > https://blueprints.launchpad.net/linaro-android-infrastructure/+spec /linaro-android-automate-upstream-sync
> > and depends on resolving firewall issues with IS.
>
> access to github.com port 443 has been opened a week ago.

I wasn't notified about that. And the matter is that we need ports for
*all* upstream hosts open, and I wasn't notified on that have been
resolved so far either. But I obviously don't sit blocked on this
matter, but work on other dozen tasks I have. (And this all is
offtopic for this ticket.)

>

--
Best Regards,
Paul

Linaro.org | Open source software for ARM SoCs
Follow Linaro: http://www.facebook.com/pages/Linaro
http://twitter.com/#!/linaroorg - http://www.linaro.org/linaro-blog

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers